Variable D: Set.

Section II_A.
Variable P: D -> D -> Prop.

Goal (exists x, forall y, P x y) -> (forall y, exists x, P x y).
Proof.
intro.
intro.
elim H.
intro.
intro.
exists x.
apply (H0 y).
Qed.

End II_A.

Section II_B.
Variables P Q: D -> Prop.

Hypothesis H: forall x, P x -> Q x.

Goal (forall x, P x) -> (forall x, Q x).
Proof.
intro.
intro.
apply (H x).
apply (H0 x).
Qed.

End II_B.
